Subject: sendmail 8.7.5-4 is still a.out?

From: [email-masked] (Amos Shapira)
Date: Sun, 16 Jun 1996 00:36:04 +0300

Hello,

I've just upgraded (or tried to upgrade) the rest of my packages to
Debian 1.1. and noticed that sendmail 8.7.5-4 still contains QMAGIC
binaries.

Does anyone know if this is intentional or should I report it as a
bug?

Cheers,

--Amos

--Amos Shapira                    | "Of course Australia was marked for
133 Shlomo Ben-Yosef st.          |  glory, for its people had been chosen
Jerusalem 93 805                  |  by the finest judges in England."
ISRAEL            [email-masked] |                     -- Anonymous

---

From: Craig Sanders <[email-masked]>
Date: Sun, 16 Jun 1996 09:25:44 +1000 (EST)

> Does anyone know if this is intentional or should I report it as a

Something went wrong with your upgrade process.  sendmail is ELF.

I use smail mostly, but my gw machine has sendmail installed. here's
what it has:

$ dpkg -l sendmail
Desired=Unknown/Install/Remove/Purge
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name            Version        Description
+++-===============-==============-============================================
ii  sendmail        8.7.5-4        A complex mail transport agent.

$ file /usr/sbin/sendmail
/usr/sbin/sendmail: setuid ELF 32-bit LSB executable, Intel 80386, version 1, stripped

Craig

---

From: Amos Shapira <[email-masked]>
Date: Sun, 16 Jun 1996 07:35:53 +0300

Craig Sanders <[email-masked]> wrote:

|Something went wrong with your upgrade process.  sendmail is ELF.
|
|I use smail mostly, but my gw machine has sendmail installed. here's
|what it has:
|
|$ dpkg -l sendmail
|Desired=Unknown/Install/Remove/Purge
|| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
||/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad
|)
|||/ Name            Version        Description
|+++-===============-==============-===========================================
|=
|ii  sendmail        8.7.5-4        A complex mail transport agent.
|
|$ file /usr/sbin/sendmail
|/usr/sbin/sendmail: setuid ELF 32-bit LSB executable, Intel 80386, version 1, 
|stripped

What are the sizes and times on your binary?  Here are mine:

|root@birnam| dpkg -l sendmail

|root@birnam| file /usr/sbin/sendmail
/usr/sbin/sendmail: setuid Linux/i386 demand-paged executable (QMAGIC), stripped

|root@birnam| ls -l /usr/sbin/sendmail
-rwsr-xr-x   1 root     root       229376 May 22 16:14 /usr/sbin/sendmail*

These times and sizes match the ones in the .deb file (do 'dpkg -c
sendmail-8.7.5-4.deb').

Strange.

--Amos

--Amos Shapira                    | "Of course Australia was marked for
133 Shlomo Ben-Yosef st.          |  glory, for its people had been chosen
Jerusalem 93 805                  |  by the finest judges in England."
ISRAEL             [email-masked] |                     -- Anonymous

---

From: Craig Sanders <[email-masked]>
Date: Sun, 16 Jun 1996 15:44:55 +1000 (EST)

On Sun, 16 Jun 1996, Amos Shapira wrote:

> What are the sizes and times on your binary?  

$ ls -l /usr/sbin/sendmail
-rwsr-xr-x   1 root     root       235864 May  7 14:44 /usr/sbin/sendmail

> These times and sizes match the ones in the .deb file (do 'dpkg -c

$ cd /debian/unstable/binary-i386/mail

$ ls -l sendmail-8.7.5-4.deb 
-r--r--r--   1 root     root       563907 May  7 12:16 sendmail-8.7.5-4.deb

$ dpkg -c sendmail-8.7.5-4.deb  | grep sbin/sendmail

-rwsr-xr-x root/root    235864 May  7 14:44 1996 usr/sbin/sendmail
                        ^^^^^^^^^^^^^^^^^^^^^^^^  matches what's 
installed on my system

Weird.  

Two possibilities spring to mind:

1. yours is dated may 22, mine is may 7.  maybe a new version came out which
was accidentally compiled as a.out

2. your may 22 is referring to 1995, not 1996 and you have an old package
which somehow got renamed to the current release filename.

my sendmail-8.7.5-4.deb is from my mirror, which is updated every night.  
where did you get your sendmail.deb file from?

Craig

---

From: Manoj Srivastava <[email-masked]>
Date: 16 Jun 1996 03:54:06 -0400

Hi,

	I don't have the deb file anymore, so I can't do a contents,
 but I have a elf sendmail as well.
	manoj

<root@melkor:[.../debian]> dpkg -l sendmail
Desired=Unknown/Install/Remove/Purge
|Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err:uppercase=bad)
||/ Name            Version        Description
+++-===============-==============-============================================
ii  sendmail        8.7.5-4        A complex mail transport agent.
<root@melkor:[.../debian]> file /usr/sbin/sendmail
/usr/sbin/sendmail: setuid ELF 32-bit LSB executable, Intel 80386, version 1, stripped
<root@melkor:[.../debian]> ls -l /usr/sbin/sendmail
-rwsr-xr-x   1 root     root       235864 May  7 00:44 /usr/sbin/sendmail*

-- 
Manoj Srivastava               Systems Research Programmer, Project Pilgrim,
Phone: (413) 545-3918                A143B Lederle Graduate Research Center,
Fax:   (413) 545-1249         University of Massachusetts, Amherst, MA 01003
<[email-masked]> <URL:http://www.pilgrim.umass.edu/%7Esrivasta/>

---

From: Amos Shapira <[email-masked]>
Date: Sun, 16 Jun 1996 12:35:22 +0300

In message <[email-masked]> you write:
|
|On Sun, 16 Jun 1996, Amos Shapira wrote:
|
|> What are the sizes and times on your binary?  
|
|$ ls -l /usr/sbin/sendmail
|-rwsr-xr-x   1 root     root       235864 May  7 14:44 /usr/sbin/sendmail
|
|$ file /usr/sbin/sendmail
|/usr/sbin/sendmail: setuid ELF 32-bit LSB executable, Intel 80386, version 1, 
|stripped
|
|
|> |root@birnam| ls -l /usr/sbin/sendmail
|> -rwsr-xr-x   1 root     root       229376 May 22 16:14 /usr/sbin/sendmail*
|> 
|> These times and sizes match the ones in the .deb file (do 'dpkg -c
|> sendmail-8.7.5-4.deb').
|
|$ cd /debian/unstable/binary-i386/mail
|
|$ ls -l sendmail-8.7.5-4.deb 
|-r--r--r--   1 root     root       563907 May  7 12:16 sendmail-8.7.5-4.deb
|
|$ dpkg -c sendmail-8.7.5-4.deb  | grep sbin/sendmail
|
|-rwsr-xr-x root/root    235864 May  7 14:44 1996 usr/sbin/sendmail
|                        ^^^^^^^^^^^^^^^^^^^^^^^^  matches what's 
|installed on my system
|
|
|Weird.  
|
|Two possibilities spring to mind:
|
|1. yours is dated may 22, mine is may 7.  maybe a new version came out which
|was accidentally compiled as a.out

Then the minor number would have been advanced (>= 5 instead of 4),
wouldn't it?

|
|2. your may 22 is referring to 1995, not 1996 and you have an old package
|which somehow got renamed to the current release filename.

As for the '95 theory, I doubt that since it should have showed the year if
it was that old.  As for the renaming - maybe.  "dpkg -I" shows:

|birnam| dpkg -I sendmail-8.7.5-4.deb 
 old debian package, version 0.939000.
 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

|my sendmail-8.7.5-4.deb is from my mirror, which is updated every night.  
|where did you get your sendmail.deb file from?

>From tsx-11, as far as I remember (just grabbed things yesterday, but
tsx didn't have everything so I took some things from ftp.debian.org).

Will try to fetch from another archive.

--Amos